setWindowTitle {utils} | R Documentation

## Set the Window Title or the Statusbar of the RGui in Windows

### Description

Set or get the title of the R (i.e. `RGui`) window which will appear in the task bar, or set the statusbar (if in use).

### Usage

    setWindowTitle(suffix, title = paste(getIdentification(), suffix))

    getWindowTitle()

    getIdentification()

    setStatusBar(text)

### Arguments

`suffix` | a character string to form part of the title
`title` | a character string forming the complete new title
`text` | a character string of up to 255 characters, to be displayed in the status bar.

### Details

`setWindowTitle` appends `suffix` to the normal window identification (`RGui`, `R Console` or `Rterm`). Use `suffix = ""` to reset the title.

`getWindowTitle` gets the current title.

This sets the title of the frame in MDI mode, the title of the console for `RGui --sdi`, and the title of the window from which it was launched for `Rterm`. It has no effect in embedded uses of R.

`getIdentification` returns the normal window identification.

`setStatusBar` sets the text in the statusbar of an MDI frame: if this is not currently shown it is selected and shown.

### Value

The first three functions return a length 1 character vector.

`setWindowTitle` returns the previous window title (invisibly).

`getWindowTitle` and `getIdentification` return the current window title and the normal window identification, respectively.

### Note

These functions are only available on Windows and only make sense when using the `Rgui`. E.g., in `Rterm` (and hence in `ESS`) the title is not visible (but can be set and gotten), and in a version of `RStudio` it has been `""`, invariably.

### Examples

    if(.Platform$OS.type == "windows") withAutoprint({
    ## show the current working directory in the title, saving the old one
    oldtitle <- setWindowTitle(getwd())
    Sys.sleep(0.5)
    ## reset the title
    setWindowTitle("")
    Sys.sleep(0.5)
    ## restore the original title
    setWindowTitle(title = oldtitle)
    })

[Package utils version 3.6.0 Index]